# CNG Engine Non-Commercial License Agreement

## 1. Grant of License
This Agreement grants you, the Licensee, a non-exclusive, non-transferable, limited license to use the CNG engine ("Software") solely for non-commercial purposes, subject to the terms of this Agreement.

## 2. Restrictions
You may not:  
   a. Use the Software for any commercial purpose.  
   b. Modify, translate, or create derivative works based on the Software.  
   c. Distribute, sublicense, lease, rent, or otherwise transfer rights to the Software.  
   d. Remove any proprietary notices or labels on the Software.  
   e. Reverse engineer, decompile, or disassemble the Software.  

## 3. Definition of Non-Commercial Use
Non-commercial use refers to the use of the Software for testing, personal, educational, or research purposes. Any use of the Software that directly or indirectly generates revenue or is intended for commercial advantage or monetary compensation is strictly prohibited.

## 4. Intellectual Property
The Software is the property of Mobi-Com Polska Sp. z o.o. and is protected by intellectual property laws. The Software is licensed, not sold.

## 5. Disclaimer of Warranty
The Software is provided "as is," without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose, and non-infringement.

## 6. Limitation of Liability
In no event shall Mobi-Com Polska Sp. z o.o. be liable for any special, incidental, indirect, or consequential damages whatsoever arising out of the use of or inability to use the Software, even if Mobi-Com Polska Sp. z o.o. has been advised of the possibility of such damages.

## 7. Support and Updates
Mobi-Com Polska Sp. z o.o. is under no obligation to provide support, maintenance, or updates for the Software.

## 8. Termination
This Agreement is effective until terminated. Your rights under this Agreement will terminate automatically without notice from Mobi-Com Polska Sp. z o.o. if you fail to comply with any term(s) of this Agreement. Mobi-Com Polska Sp. z o.o. reserves the right to terminate this Agreement at any time without notice.

## 9. Governing Law and Jurisdiction
This Agreement shall be governed by the laws of the Republic of Poland. Any disputes arising from or related to this Agreement shall be subject to the exclusive jurisdiction of the courts in Poland.

## 10. Entire Agreement
This Agreement constitutes the entire agreement between you and Mobi-Com Polska Sp. z o.o. and supersedes all prior or contemporaneous understandings regarding its subject matter.

## 11. Severability
If any provision of this Agreement is held to be invalid or unenforceable, the remaining provisions shall continue to be valid and enforceable.

## 12. Amendments
Mobi-Com Polska Sp. z o.o. reserves the right to amend the terms of this Agreement at any time. You will be notified of such changes via the official website or other appropriate means.

## 13. Export Control Compliance
You agree to comply with all applicable export control laws and regulations with respect to the Software.

## 14. Indemnification
You agree to indemnify, defend, and hold harmless Mobi-Com Polska Sp. z o.o. from any claims, liabilities, damages, losses, and expenses, including legal fees and costs, arising out of your use of the Software or violation of this Agreement.

## 15. Third-Party Software
This Software may include third-party software components that are subject to separate license terms. By using the Software, you agree to comply with such terms.

## 16. Acknowledgment
By using the Software, you acknowledge that you have read this Agreement, understand it, and agree to be bound by its terms and conditions.
